
<section class="mb-12">
<div class="card-header text-center py-3">
            <h5 class="mb-0 text-center">
                <strong>My transactions</strong>
            </h5>
        </div>
    <div class="row">
        <div class="col-md-2">
            <div class="col-sm-12 col-lg-12">   
                <h5 class="box-title">Date</h5>
                <input type="text" id="dRange" class="daterangepickerMulti form-control" value="">
            </div> 

        </div>
        <div class="col-md-2">
            <h5 class="box-title">&nbsp</h5>
            <button class="btn btn-success" onclick="my_transaction()">Search</button>
            <script type="text/javascript">
                function my_transaction(){
                    let dRange  = $('#dRange').val();
                    $('#reportArea').html(loadingImage);
                    $.ajax({
                        type:'post',
                        url:ajUrl,
                        data:{module:'my_transaction',dRange:dRange},
                        success:function(data){
                            if(typeof(data.status)){
                                if(data.status==1){
                                    $('#reportArea').html(data.html);
                                }
                                swMessageFromJs(data.m);
                            }
                            else{
                                swMessage(AJAX_ERROR_MESSAGE); 
                            }

                        },
                        error:function(){
                             swMessage(AJAX_ERROR_MESSAGE); 
                        }
                    });
                }
                $(document).ready(function(){
                    my_transaction();
                });
            </script>
        </div>
    </div>

</section>
<section class="mb-12">
    <div class="card">
        
        <div class="card-body" id="reportArea">
            
        </div>
    </div>
</section>